package com.usoft.fin.grpc.dal.mapper;

import com.usoft.fin.grpc.dal.entity.CreditApplyUserfile;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CreditApplyUserfileMapper {
    /**
     * deleteByPrimaryKey
     * 
     * @param id
     * @return int
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert
     * 
     * @param record
     * @return int
     */
    int insert(CreditApplyUserfile record);

    /**
     * insertSelective
     * 
     * @param record
     * @return int
     */
    int insertSelective(CreditApplyUserfile record);

    /**
     * selectByPrimaryKey
     * 
     * @param id
     * @return CreditApplyUserfile
     */
    CreditApplyUserfile selectByPrimaryKey(Integer id);

    /**
     * updateByPrimaryKeySelective
     * 
     * @param record
     * @return int
     */
    int updateByPrimaryKeySelective(CreditApplyUserfile record);

    /**
     * updateByPrimaryKey
     * 
     * @param record
     * @return int
     */
    int updateByPrimaryKey(CreditApplyUserfile record);

    /**
     * selectByCode
     *
     * @param code
     * @return CreditApplyUserfile
     */
    CreditApplyUserfile selectByCode(String code);
    /**
     * findByCode
     *
     * @param code
     * @return CreditApply
     */
    List<CreditApplyUserfile> findByCreditCode(@Param("code")String code);
}